For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceOrganizations

List

GET
https://api.icepanel.io/v1/organizations
GET
/v1/organizations
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.list({});
8}
9main();
1{
2 "organizations": [
3 {
4 "lineShapeDefault": "curved",
5 "name": "string",
6 "shareLinkAuthDomains": [
7 "string"
8 ],
9 "shareLinksEnabled": true,
10 "autoInviteDomains": [
11 "string"
12 ],
13 "billingPaymentMethod": true,
14 "createdAt": "2024-01-15T09:30:00Z",
15 "createdBy": "user",
16 "createdById": "string",
17 "id": "string",
18 "plan": "free",
19 "seats": 1.1,
20 "status": "active",
21 "updatedAt": "2024-01-15T09:30:00Z",
22 "updatedBy": "user",
23 "updatedById": "string",
24 "userIds": [
25 "string"
26 ],
27 "users": {},
28 "aiFeatures": {
29 "generateDetailedDescriptions": true,
30 "generateDisplayDescriptions": true,
31 "generateDraftSummary": true,
32 "generateObjectSummary": true
33 },
34 "aiFeaturesEnabled": true,
35 "billingCurrency": "usd",
36 "billingCycle": "monthly",
37 "billingEmail": "string",
38 "experiments": {},
39 "language": "en-US",
40 "billingCollectionMethod": "charge",
41 "cancelAt": "2024-01-15T09:30:00Z",
42 "canceledAt": "2024-01-15T09:30:00Z",
43 "planEndsAt": "2024-01-15T09:30:00Z",
44 "trialEndsAt": "2024-01-15T09:30:00Z"
45 }
46 ]
47}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Query parameters

adminbooleanOptional
list all organizations on the platform

Response

OK
organizationslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error